petsc-3.15.0 2021-03-30
Report Typos and Errors

# TaoComputeInequalityConstraints

Compute the variable bounds using the routine set by TaoSetInequalityConstraintsRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeInequalityConstraints(Tao tao, Vec X, Vec CI)

Collective on Tao

### Input Parameters

| tao | - the Tao context

### See Also

TaoSetInequalityConstraintsRoutine(), TaoComputeJacobianInequality()

### Level

developer

### Location

src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages